View Issue Details

IDProjectCategoryView StatusLast Update
0003993FreeCADBugpublic2019-06-24 12:34
ReporterwmayerAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.18 
Summary0003993: Memory leak with Python3
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=10&t=36703
TagsNo tags attached.

Relationships

related to 0003340 assignedyorik Draft Massive memory leak in Draft 
related to 0003844 assignedwmayer FreeCAD PVS: The pointer was not released in destructor. A memory leak is possible. 

Activities

wmayer

2019-06-24 12:30

administrator   ~0013303

Fix committed to master branch.

wmayer

2019-06-24 12:33

administrator   ~0013304

Fix committed to releases/FreeCAD-0-18 branch.

wmayer

2019-06-24 12:34

administrator   ~0013305

The fix is back ported to v0.18

Related Changesets

FreeCAD: master 3c205946

2019-06-24 12:30:12

wmayer

Details Diff
fixes 0003993: Memory leak with Python3 Affected Issues
0003993
mod - src/CXX/Python3/Objects.hxx Diff File

FreeCAD: releases/FreeCAD-0-18 0f29891a

2019-06-24 12:30:12

wmayer

Details Diff
fixes 0003993: Memory leak with Python3 Affected Issues
0003993
mod - src/CXX/Python3/Objects.hxx Diff File

Issue History

Date Modified Username Field Change
2019-05-30 16:23 wmayer New Issue
2019-05-30 18:21 Kunda1 Status new => confirmed
2019-06-20 13:16 Kunda1 Relationship added related to 0003340
2019-06-20 13:17 Kunda1 Relationship added related to 0003844
2019-06-24 12:30 wmayer Changeset attached => FreeCAD master 3c205946
2019-06-24 12:30 wmayer Note Added: 0013303
2019-06-24 12:30 wmayer Assigned To => wmayer
2019-06-24 12:30 wmayer Status confirmed => closed
2019-06-24 12:30 wmayer Resolution open => fixed
2019-06-24 12:33 wmayer Changeset attached => FreeCAD releases/FreeCAD-0-18 0f29891a
2019-06-24 12:33 wmayer Note Added: 0013304
2019-06-24 12:34 wmayer Fixed in Version => 0.18
2019-06-24 12:34 wmayer Note Added: 0013305